### Function

# Gimp data_directory_file

since: 2.10

#### Declaration [src]

    GFile*
    gimp_data_directory_file (
      const gchar* first_element,
      ...
    )

#### Description [src]

Returns a `GFile` in the data directory, or the data directory itself if `first_element` is `NULL`.

See also: gimp_data_directory().

Available since: 2.10

This function is not directly available to language bindings.

#### Parameters

`first_element`

  Type: `const gchar*`

  The first element of a path to a file in the data directory, or `NULL`.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`...`

  Type: ``

  A `NULL` terminated list of the remaining elements of the path to the file.

#### Return value

Type: `GFile`

         a new `GFile` for the path, Free with g_object_unref().

The caller of the function takes ownership of the data, and is responsible for freeing it.